> For the complete documentation index, see [llms.txt](https://docs.kaiko.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kaiko.com/rest-api/analytics-solutions.md).

# ANALYTICS Solutions

- [Introduction](https://docs.kaiko.com/rest-api/analytics-solutions/introduction.md)
- [Kaiko Fair Market Value](https://docs.kaiko.com/rest-api/analytics-solutions/kaiko-fair-market-value.md): Accurately value your digital assets to meet fair value standards and regulatory requirements.
- [Established assets](https://docs.kaiko.com/rest-api/analytics-solutions/kaiko-fair-market-value/established-assets.md)
- [Direct price](https://docs.kaiko.com/rest-api/analytics-solutions/kaiko-fair-market-value/established-assets/direct-price.md)
- [Synthetic price](https://docs.kaiko.com/rest-api/analytics-solutions/kaiko-fair-market-value/established-assets/synthetic-price.md)
- [Convert with Oanda FX Rates](https://docs.kaiko.com/rest-api/analytics-solutions/kaiko-fair-market-value/established-assets/synthetic-price/convert-with-oanda-fx-rates.md)
- [Principal market price](https://docs.kaiko.com/rest-api/analytics-solutions/kaiko-fair-market-value/established-assets/principal-market-price.md)
- [Emerging assets](https://docs.kaiko.com/rest-api/analytics-solutions/kaiko-fair-market-value/emerging-assets.md)
- [State price](https://docs.kaiko.com/rest-api/analytics-solutions/kaiko-fair-market-value/emerging-assets/state-price.md)
- [Kaiko Derivatives Risk Indicators](https://docs.kaiko.com/rest-api/analytics-solutions/kaiko-derivatives-risk-indicators.md)
- [Exchange-provided metrics](https://docs.kaiko.com/rest-api/analytics-solutions/kaiko-derivatives-risk-indicators/exchange-provided-metrics.md): Derivatives Risk endpoint
- [Token-level liquidation volumes](https://docs.kaiko.com/rest-api/analytics-solutions/kaiko-derivatives-risk-indicators/token-level-liquidation-volumes.md): Liquidation insight for derivatives exchanges
- [Implied volatility calculation - smile](https://docs.kaiko.com/rest-api/analytics-solutions/kaiko-derivatives-risk-indicators/implied-volatility-calculation-smile.md)
- [Implied volatility calculation - surface](https://docs.kaiko.com/rest-api/analytics-solutions/kaiko-derivatives-risk-indicators/implied-volatility-calculation-surface.md)
- [Kaiko Portfolio & Risk Management](https://docs.kaiko.com/rest-api/analytics-solutions/kaiko-portfolio-and-risk-management.md)
- [Value at risk calculation](https://docs.kaiko.com/rest-api/analytics-solutions/kaiko-portfolio-and-risk-management/value-at-risk-calculation.md)
- [Expected shortfall calculation](https://docs.kaiko.com/rest-api/analytics-solutions/kaiko-portfolio-and-risk-management/expected-shortfall-calculation.md)
- [Custom valuation](https://docs.kaiko.com/rest-api/analytics-solutions/kaiko-portfolio-and-risk-management/custom-valuation.md)
- [Price a full portfolio](https://docs.kaiko.com/rest-api/analytics-solutions/kaiko-portfolio-and-risk-management/price-a-full-portfolio.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.kaiko.com/rest-api/analytics-solutions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
